image: docker

services:
    - docker:dind

variables:
    IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_SHA

before_script:
    - export DEBIAN_FRONTEND=noninteractive

stages:
    - test
    - release

test:
    stage: test
    except:
        - master
    script:
        - docker build -t $IMAGE_TAG -f Dockerfile .

release:
    stage: release
    only:
        - master
    script:
        - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
        - docker build -t $IMAGE_TAG -f Dockerfile .
        - docker push $IMAGE_TAG
